summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sci-mathematics/octave/files/octave-4.4.0-imagemagick.patch12
1 files changed, 9 insertions, 3 deletions
diff --git a/sci-mathematics/octave/files/octave-4.4.0-imagemagick.patch b/sci-mathematics/octave/files/octave-4.4.0-imagemagick.patch
index 2f651e0995e..2aa6e5b9d8c 100644
--- a/sci-mathematics/octave/files/octave-4.4.0-imagemagick.patch
+++ b/sci-mathematics/octave/files/octave-4.4.0-imagemagick.patch
@@ -1,16 +1,22 @@
--- a/libinterp/corefcn/__magick_read__.cc 2018-05-22 12:25:37.688173855 +0200
+++ a/libinterp/corefcn/__magick_read__.cc.new 2018-05-22 12:32:51.475172200 +0200
-@@ -817,10 +817,11 @@
+@@ -817,10 +817,19 @@
// depth is 8, there's a good chance that we will be limited. It
// is also the GraphicsMagick recommended setting and the default
// for ImageMagick.
-- if (QuantumDepth < 16)
++#ifdef QuantumDepth
+ if (QuantumDepth < 16)
++#else
+ using namespace Magick;
+ if (MAGICKCORE_QUANTUM_DEPTH < 16)
++#endif
warning_with_id ("Octave:GraphicsMagick-Quantum-Depth",
"your version of %s limits images to %d bits per pixel\n",
-- MagickPackageName, QuantumDepth);
++#ifdef QuantumDepth
+ MagickPackageName, QuantumDepth);
++#else
+ MagickPackageName, MAGICKCORE_QUANTUM_DEPTH);
++#endif
initialized = true;
}